function [cmp_shorter, y_shorter]=mp3_shift_sc(y,ymp3)

%Intputs 
%      y       reference numerical signal (numerical values of the original signal)
%      ymp3    numerical signal obtained from the mp3 file

%Ouptputs 
%       y_shorter  reference numerical signal of the same lengh as cmp_shorter
%       cmp_shorter shifted and scaled verions of ymp3 to optimize SNR 
%    
    if size(y,2) == 2, % stereo
        y = y(:,1);
    end
    if size(y,1) == 2, % stereo
        y = y(1,:);
    end
    y = y(:);
        values = 1:3000;
        N=length(y);
        N2=length(ymp3);
        cc = zeros(size(values));
        j=1;
        for i=values;
            delta = i;
            if delta+N-1 > N2,
                s2 = zeros(size(y));
                s2(1:N2-delta+1) = ymp3(delta:end);
            else
                s2 = ymp3(delta:delta+N-1);
            end
            cc(j) = sum(y.*s2);
            j = j + 1;
        end
        %figure;
        %plot(values, cc);
        %title('correlation');
        [mm, ii] = max(cc);
        delta = values(ii);
        display(sprintf('delta = %d\n', delta));

        x=1:N;
        cmp=zeros(size(y));
        if delta+N-1 > N2,
            cmp = zeros(size(y));
            cmp(1:N2-delta+1) = ymp3(delta:end);
            cmp_shorter = ymp3(delta:end);
            y_shorter = y(1:length(cmp_shorter));
        else
            cmp=ymp3(delta:delta+N-1);
            cmp_shorter=cmp; % the same in this case
            y_shorter = y(1:length(cmp_shorter));
        end
        sfs=sum(y_shorter);
        sfts=sum(cmp_shorter);
        sbs=numel(y_shorter);
        %
        cs=(y_shorter'*cmp_shorter- sfs*sfts/sbs)/(norm(cmp_shorter)^2 -sfts^2/sbs);
        bs=sfs/sbs-cs*sfts/sbs;
        cmp_shorter=cs*cmp_shorter+bs;
        %
%       figure;
        %x=1:numel(y_shorter);
        %plot(x,y_shorter,x,cmp_shorter)
        %figure;
        %x = floor(N/2):floor(N/2)+1500;
%       plot a few samples
        %plot(x,y_shorter(x),x,cmp_shorter(x))
